<?php
/**
 * Clase Base Bean para BaseArArqueoDetalleDepositoBN
 *
 * @package    Sedapal
 * @subpackage BaseArArqueoDetalleDepositoBN
 * @author     Willy
 * @version    SVN:: BaseArArqueoDetalleDepositoBN.class.php,v 1.1 2020-07-01 22:10:10 william.taype Exp $
 */
abstract class BaseArArqueoDetalleDepositoBN
{
  protected $Idclase;
  protected $Idsucursal;
  protected $Idmercado;
  protected $Idcolaborador;
  protected $Fecha;
  protected $Idcliente;
  protected $Idprestamo;
  protected $Nombrecliente;
  protected $Idbanco;
  protected $Idcuenta;
  protected $Banco;
  protected $Numerocuenta;
  protected $Fechadeposito;
  protected $Numeroboucher;
  protected $Nombrearchivo;
  protected $Subtotal;
  protected $Estado;
  protected $Comentario;
  protected $Idpagoreferencia;
  protected $Fecharegistro;
  protected $Usuarioregistro;
  protected $Fechaaprobacion;
  protected $Usuarioaprobacion;
  protected $Fecharechazo;
  protected $Usuariorechazo;
  protected $Mensaje;
  protected $Error;

  public function getIdclase(){
    return $this->Idclase;
  }
  public function setIdclase($v1){
    $this->Idclase = $v1; 
  }

  public function getIdsucursal(){
    return $this->Idsucursal;
  }
  public function setIdsucursal($v1){
    $this->Idsucursal = $v1; 
  }

  public function getIdmercado(){
    return $this->Idmercado;
  }
  public function setIdmercado($v1){
    $this->Idmercado = $v1; 
  }

  public function getIdcolaborador(){
    return $this->Idcolaborador;
  }
  public function setIdcolaborador($v1){
    $this->Idcolaborador = $v1; 
  }

  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v1){
    $this->Fecha = $v1; 
  }

  public function getIdcliente(){
    return $this->Idcliente;
  }
  public function setIdcliente($v1){
    $this->Idcliente = $v1; 
  }

  public function getIdprestamo(){
    return $this->Idprestamo;
  }
  public function setIdprestamo($v1){
    $this->Idprestamo = $v1; 
  }

  public function getNombrecliente(){
    return $this->Nombrecliente;
  }
  public function setNombrecliente($v1){
    $this->Nombrecliente = $v1; 
  }

  public function getIdbanco(){
    return $this->Idbanco;
  }
  public function setIdbanco($v1){
    $this->Idbanco = $v1; 
  }

  public function getIdcuenta(){
    return $this->Idcuenta;
  }
  public function setIdcuenta($v1){
    $this->Idcuenta = $v1; 
  }

  public function getBanco(){
    return $this->Banco;
  }
  public function setBanco($v1){
    $this->Banco = $v1; 
  }

  public function getNumerocuenta(){
    return $this->Numerocuenta;
  }
  public function setNumerocuenta($v1){
    $this->Numerocuenta = $v1; 
  }

  public function getFechadeposito(){
    return $this->Fechadeposito;
  }
  public function setFechadeposito($v1){
    $this->Fechadeposito = $v1; 
  }
  
  public function getFechadepositofinal(){
    return $this->Fechadepositofinal;
  }
  public function setFechadepositofinal($v1){
    $this->Fechadepositofinal = $v1; 
  }

  public function getNumeroboucher(){
    return $this->Numeroboucher;
  }
  public function setNumeroboucher($v1){
    $this->Numeroboucher = $v1; 
  }
  
  public function getNombrearchivo(){
    return $this->Nombrearchivo;
  }
  public function setNombrearchivo($v1){
    $this->Nombrearchivo = $v1; 
  }

  public function getSubtotal(){
    return $this->Subtotal;
  }
  public function setSubtotal($v1){
    $this->Subtotal = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }
  
  public function getComentario(){
    return $this->Comentario;
  }
  public function setComentario($v1){
    $this->Comentario = $v1; 
  }

  public function getIdpagoreferencia(){
    return $this->Idpagoreferencia;
  }
  public function setIdpagoreferencia($v1){
    $this->Idpagoreferencia = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }
  
  public function getFecharegistrofinal(){
    return $this->Fecharegistrofinal;
  }
  public function setFecharegistrofinal($v1){
    $this->Fecharegistrofinal = $v1; 
  }

  public function getUsuarioregistro(){
    return $this->Usuarioregistro;
  }
  public function setUsuarioregistro($v1){
    $this->Usuarioregistro = $v1; 
  }
  
  
  public function getFechaaprobacion(){
    return $this->Fechaaprobacion;
  }
  public function setFechaaprobacion($v1){
    $this->Fechaaprobacion = $v1; 
  }
  
  public function getUsuarioaprobacion(){
    return $this->Usuarioaprobacion;
  }
  public function setUsuarioaprobacion($v1){
    $this->Usuarioaprobacion = $v1; 
  }
  
  public function getFecharechazo(){
    return $this->Fecharechazo;
  }
  public function setFecharechazo($v1){
    $this->Fecharechazo = $v1; 
  }
  
  public function getUsuariorechazo(){
    return $this->Usuariorechazo;
  }
  public function setUsuariorechazo($v1){
    $this->Usuariorechazo = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Ar_arqueo_detalle_depositoBN desde un RecordSet */
  public static function retrieveByRs( $o_Ar_arqueo_detalle_depositoRs )
  {
    $o_ArArqueoDetalleDepositoBN = new ArArqueoDetalleDepositoBN();
    $o_ArArqueoDetalleDepositoBN->setIdclase( $o_Ar_arqueo_detalle_depositoRs['idclase'] );
    $o_ArArqueoDetalleDepositoBN->setIdsucursal( $o_Ar_arqueo_detalle_depositoRs['idsucursal'] );
    $o_ArArqueoDetalleDepositoBN->setIdmercado( $o_Ar_arqueo_detalle_depositoRs['idmercado'] );
    $o_ArArqueoDetalleDepositoBN->setIdcolaborador( $o_Ar_arqueo_detalle_depositoRs['idcolaborador'] );
    $o_ArArqueoDetalleDepositoBN->setFecha( $o_Ar_arqueo_detalle_depositoRs['fecha'] );
    $o_ArArqueoDetalleDepositoBN->setIdcliente( $o_Ar_arqueo_detalle_depositoRs['idcliente'] );
    $o_ArArqueoDetalleDepositoBN->setIdprestamo( $o_Ar_arqueo_detalle_depositoRs['idprestamo'] );
    $o_ArArqueoDetalleDepositoBN->setNombrecliente( $o_Ar_arqueo_detalle_depositoRs['nombrecliente'] );
    $o_ArArqueoDetalleDepositoBN->setIdbanco( $o_Ar_arqueo_detalle_depositoRs['idbanco'] );
    $o_ArArqueoDetalleDepositoBN->setIdcuenta( $o_Ar_arqueo_detalle_depositoRs['idcuenta'] );
    $o_ArArqueoDetalleDepositoBN->setBanco( $o_Ar_arqueo_detalle_depositoRs['banco'] );
    $o_ArArqueoDetalleDepositoBN->setNumerocuenta( $o_Ar_arqueo_detalle_depositoRs['numerocuenta'] );
    $o_ArArqueoDetalleDepositoBN->setNombrearchivo( $o_Ar_arqueo_detalle_depositoRs['nombrearchivo'] );
    $o_ArArqueoDetalleDepositoBN->setFechadeposito( $o_Ar_arqueo_detalle_depositoRs['fechadeposito'] );
    $o_ArArqueoDetalleDepositoBN->setNumeroboucher( $o_Ar_arqueo_detalle_depositoRs['numeroboucher'] );
    $o_ArArqueoDetalleDepositoBN->setSubtotal( $o_Ar_arqueo_detalle_depositoRs['subtotal'] );
    $o_ArArqueoDetalleDepositoBN->setEstado( $o_Ar_arqueo_detalle_depositoRs['estado'] );
    $o_ArArqueoDetalleDepositoBN->setComentario( $o_Ar_arqueo_detalle_depositoRs['comentario'] );
    $o_ArArqueoDetalleDepositoBN->setIdpagoreferencia( $o_Ar_arqueo_detalle_depositoRs['idpagoreferencia'] );
    $o_ArArqueoDetalleDepositoBN->setFecharegistro( $o_Ar_arqueo_detalle_depositoRs['fecharegistro'] );
    $o_ArArqueoDetalleDepositoBN->setUsuarioregistro( $o_Ar_arqueo_detalle_depositoRs['usuarioregistro'] );
    return $o_ArArqueoDetalleDepositoBN;
  }
}